Loading...
Searching...
No Matches
Catch::IExceptionTranslator Class Referenceabstract

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::IExceptionTranslator:
[legend]

## Public Member Functions

virtual | ~IExceptionTranslator ()
virtual std::string | translate (ExceptionTranslators::const_iterator it, ExceptionTranslators::const_iterator itEnd) const =0

## Constructor & Destructor Documentation

## ~IExceptionTranslator()

Catch::IExceptionTranslator::~IExceptionTranslator | ( |  | ) |

virtualdefault

## Member Function Documentation

## translate()

virtual std::string Catch::IExceptionTranslator::translate | ( | ExceptionTranslators::const_iterator | it,
|  | ExceptionTranslators::const_iterator | itEnd ) const

pure virtual

Implemented in Catch::ExceptionTranslatorRegistrar::ExceptionTranslator< T >.

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp